Arbor 3: FSM & BT Graph Editor 3.6.4

Public Member Functions | Public Attributes | Properties | List of all members
DataBranch Class Reference

DataSlotを接続するクラス。 More...

## Public Member Functions
void | SetBehaviour (int inNodeID, Object inBehaviour, int outNodeID, Object outBehaviour)
| Behaviourを変更する。 More...
void | SetDirtySlotField ()
| スロットフィールドがダーティであるとマークする More...

## Public Attributes
int | branchID
| ブランチのID。 More...
bool | enabled
| 描画するかどうか。エディタ用。 More...
Object | inBehaviour
| 入力側のBehaviour More...
int | inNodeID
| 入力側のnodeID. More...
Object | outBehaviour
| 出力側のBehaviour More...
int | outNodeID
| 出力側のnodeID More...
Bezier2D | lineBezier = new Bezier2D()
| 接続する線のベジェ曲線。エディタ用 More...
bool | showDataValue = false
| 値を表示するかどうかを取得する。 More...

## Properties
object | value`[get, set]`
| 値を取得設定する。 Calculatorの出力スロットと接続している場合は必要に応じて値を更新してから取得する。 More...
object | currentValue`[get]`
| 現在の値を取得する。 More...
bool | isUsed`[get]`
| 値が使われているかどうかを取得する。 More...
Color | outputSlotColor`[get, set]`
| Editor用 More...
Color | inputSlotColor`[get, set]`
| Editor用 More...
bool | isVisible`[get, set]`
| 値を表示するかどうかを取得する。 More...
float | updatedTime`[get]`
| valueを更新した timeScale に依存しない時間。 More...
DataSlotField | outputSlotField`[get]`
| 出力スロットのDataSlotFieldを取得する。 More...
DataSlot | outputSlot`[get]`
| 出力スロットを取得する。 More...
System.Reflection.FieldInfo | outputSlotFieldInfo`[get]`
| 出力スロットのFieldInfoを取得する。 More...
System.Type | outputType`[get]`
| 出力する型 More...
bool | isValidOutputSlot`[get]`
| 出力スロットが有効であるかを返す。 More...
DataSlotField | inputSlotField`[get]`
| 入力スロットのFieldInfoを取得する。 More...
DataSlot | inputSlot`[get]`
| 入力スロットを取得する。 More...
System.Reflection.FieldInfo | inputSlotFieldInfo`[get]`
| 入力スロットのFieldInfoを取得する。 More...
System.Type | inputType`[get]`
| 入力する型。 More...
bool | isValidInputSlot`[get]`
| 入力スロットが有効であるかを返す。 More...

## Detailed Description

DataSlotを接続するクラス。

## Member Function Documentation

## ◆ SetBehaviour()

void SetBehaviour | ( | int | inNodeID,
|  | Object | inBehaviour,
|  | int | outNodeID,
|  | Object | outBehaviour
| ) |  |

Behaviourを変更する。

## ◆ SetDirtySlotField()

void SetDirtySlotField | ( |  | ) |

スロットフィールドがダーティであるとマークする

## Member Data Documentation

## ◆ branchID

int branchID

ブランチのID。

## ◆ enabled

bool enabled

描画するかどうか。エディタ用。

## ◆ inBehaviour

Object inBehaviour

入力側のBehaviour

## ◆ inNodeID

int inNodeID

入力側のnodeID.

## ◆ lineBezier

Bezier2D lineBezier = new Bezier2D()

接続する線のベジェ曲線。エディタ用

## ◆ outBehaviour

Object outBehaviour

出力側のBehaviour

## ◆ outNodeID

int outNodeID

出力側のnodeID

## ◆ showDataValue

bool showDataValue = false

値を表示するかどうかを取得する。

## Property Documentation

## ◆ currentValue

object currentValue
| get

現在の値を取得する。

## ◆ inputSlot

DataSlot inputSlot
| get

入力スロットを取得する。

## ◆ inputSlotColor

Color inputSlotColor
| get set

Editor用

## ◆ inputSlotField

DataSlotField inputSlotField
| get

入力スロットのFieldInfoを取得する。

## ◆ inputSlotFieldInfo

System.Reflection.FieldInfo inputSlotFieldInfo
| get

入力スロットのFieldInfoを取得する。

## ◆ inputType

System.Type inputType
| get

入力する型。

## ◆ isUsed

bool isUsed
| get

値が使われているかどうかを取得する。

## ◆ isValidInputSlot

bool isValidInputSlot
| get

入力スロットが有効であるかを返す。

## ◆ isValidOutputSlot

bool isValidOutputSlot
| get

出力スロットが有効であるかを返す。

## ◆ isVisible

bool isVisible
| get set

値を表示するかどうかを取得する。

## ◆ outputSlot

DataSlot outputSlot
| get

出力スロットを取得する。

## ◆ outputSlotColor

Color outputSlotColor
| get set

Editor用

## ◆ outputSlotField

DataSlotField outputSlotField
| get

出力スロットのDataSlotFieldを取得する。

## ◆ outputSlotFieldInfo

System.Reflection.FieldInfo outputSlotFieldInfo
| get

出力スロットのFieldInfoを取得する。

## ◆ outputType

System.Type outputType
| get

出力する型

## ◆ updatedTime

float updatedTime
| get

valueを更新した timeScale に依存しない時間。

## ◆ value

object value
| get set

値を取得設定する。 Calculatorの出力スロットと接続している場合は必要に応じて値を更新してから取得する。